package com.bsn.mes.md.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.bsn.common.annotation.Excel;
import com.bsn.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 工作单元对象 md_workunit
 *
 * @author yinjinlu
 * @date 2024-01-18
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MdWorkunit extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工作单元ID
     */
    private Long workunitId;

    @TableField(exist = false)
    private Long userId;
    /**
     * 工作站ID
     */
    @Excel(name = "工作站ID")
    @ApiModelProperty("工作中心编码")
    private Long workstationId;

    /**
     * 是否固化
     */
    private String solidify;


    /**
     * 工作站编码
     */
    @Excel(name = "工作站编码")
    @ApiModelProperty("工作中心编码")
    private String workstationCode;

    /**
     * 工作中心名
     */
    @Excel(name = "工作中心名")
    @TableField(exist = false)
    private String workstationName;

    @TableField(exist = false)
    private String workshopName;

    /**
     * 工作单元编码
     */
    @Excel(name = "工作单元编码")
    @ApiModelProperty("工作中心编码")
    private String workunitCode;

    /**
     * 工作单元名称
     */
    @Excel(name = "工作单元名称")
    @ApiModelProperty("工作单元名称")
    private String workunitName;


    /**
     * 是否故障
     */
    @Excel(name = "是否故障")
    @ApiModelProperty("是否故障")
    private String faultFlag;

    /**
     * 是否启用
     */
    @Excel(name = "是否启用")
    private String enableFlag;


    @TableField(exist = false)
    private Long taskId;


    /** 固化时间 */
    @Excel(name = "固化时间")
    private BigDecimal solidifyTime;

    /** 加工处理最小厚度 */
    @Excel(name = "加工处理最小厚度")
    private BigDecimal treatingThicknessMin;

    /** 加工处理最大厚度 */
    @Excel(name = "加工处理最大厚度")
    private BigDecimal treatingThicknessMax;

    /** 加工处理最小宽度 */
    @Excel(name = "加工处理最小宽度")
    private BigDecimal treatingWidthMin;

    /** 加工处理最大宽度 */
    @Excel(name = "加工处理最大宽度")
    private BigDecimal treatingWidthMax;


    /** 凹印_胶版油槽数 */
    @Excel(name = "凹印_胶版油槽数")
    private BigDecimal dieSunkOffsetOilTankNum;

    /** 印刷方式 */
    @Excel(name = "印刷方式")
    private String printingMethod;
}
