package com.bsn.mes.pro.mapper.proWorkOrder;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.bsn.mes.pro.domain.proWorkOrder.ProWorkOrderProcessItem;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 生产工单工序物料Mapper接口
 *
 * @author yinjinlu
 * @date 2024-01-23
 */
public interface ProWorkOrderProcessItemMapper {
    /**
     * 根据打样申请单id查询所属所有工序物料
     *
     * @param workorderProcessId
     * @return
     */
    List<ProWorkOrderProcessItem> selectProWorkOrderProcessItemByWorkorderProcessId(Long workorderProcessId);

    /**
     * 查询生产工单工序物料
     *
     * @param workorderProcessItemId 生产工单工序物料主键
     * @return 生产工单工序物料
     */
    ProWorkOrderProcessItem selectProWorkOrderProcessItemByWorkorderProcessItemId(Long workorderProcessItemId);

    /**
     * 查询生产工单工序物料列表
     *
     * @param proWorkOrderProcessItem 生产工单工序物料
     * @return 生产工单工序物料集合
     */
    List<ProWorkOrderProcessItem> selectProWorkOrderProcessItemList(ProWorkOrderProcessItem proWorkOrderProcessItem);

    /**
     * 新增生产工单工序物料
     *
     * @param proWorkOrderProcessItem 生产工单工序物料
     * @return 结果
     */
    int insertProWorkOrderProcessItem(ProWorkOrderProcessItem proWorkOrderProcessItem);

    /**
     * 修改生产工单工序物料
     *
     * @param proWorkOrderProcessItem 生产工单工序物料
     * @return 结果
     */
    int updateProWorkOrderProcessItem(ProWorkOrderProcessItem proWorkOrderProcessItem);

    /**
     * 删除生产工单工序物料
     *
     * @param workorderProcessItemId 生产工单工序物料主键
     * @return 结果
     */
    int deleteProWorkOrderProcessItemByWorkorderProcessItemId(Long workorderProcessItemId);

    /**
     * 批量删除生产工单工序物料
     *
     * @param workorderProcessItemIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProWorkOrderProcessItemByWorkorderProcessItemIds(Long[] workorderProcessItemIds);


//    \n" +
//            "${ew.customSqlSegment}")
//    List<MdWorkunitVo> selectMdWorkunitJoinWorkstation(@Param("ew") QueryWrapper<MdWorkunitVo> query);

    @Select("select * from pro_workorder pw left join pro_work_order_process pwop on pw.workorder_id = pwop.workorder_id  left join pro_work_order_process_item pwopi on pwop.workorder_process_id = pwopi.workorder_process_id  ${ew.customSqlSegment}")
    ProWorkOrderProcessItem selectBomItemListByQw(@Param("ew") QueryWrapper<ProWorkOrderProcessItem> query);

    @Delete("delete from pro_work_order_process_item where workorder_process_id in (select workorder_process_id from pro_work_order_process where workorder_code=#{workorderCode}) ")
    void deleteByWorkorderCode(@Param("workorderCode") String workorderCode);

    @Delete("delete from pro_work_order_process_item where workorder_process_id in (${workorderProcessIds}) ")
    void deleteByWorkorderProcessIds(@Param("workorderProcessIds") String workorderProcessIds);


}
