package com.bsn.mes.pro.mapper.proWorkOrder;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bsn.mes.pro.domain.proWorkOrder.ProWorkOrderProcessTool;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 工单工序质检项Mapper接口
 *
 * @author zht
 * @date 2024-01-28
 */
public interface ProWorkOrderProcessToolMapper extends BaseMapper<ProWorkOrderProcessTool> {
    /**
     * 查询工单工序质检项
     *
     * @param workorderProcessToolId 工单工序质检项主键
     * @return 工单工序质检项
     */
    ProWorkOrderProcessTool selectProWorkOrderProcessToolByWorkorderProcessToolId(Long workorderProcessToolId);


    @Select("select  t1.* from pro_work_order_process_tool t1  left join pro_work_order_process t3 on t3.workorder_process_id = t1.workorder_process_id  left join pro_workorder t2 on t1.work_order_id = t2.workorder_id ${ew.customSqlSegment} ")
    List<ProWorkOrderProcessTool> selectListByQw(@Param("ew") QueryWrapper<ProWorkOrderProcessTool> query);

    /**
     * 查询工单工序质检项列表
     *
     * @param proWorkOrderProcessTool 工单工序质检项
     * @return 工单工序质检项集合
     */
    List<ProWorkOrderProcessTool> selectProWorkOrderProcessToolList(ProWorkOrderProcessTool proWorkOrderProcessTool);

    /**
     * 新增工单工序质检项
     *
     * @param proWorkOrderProcessTool 工单工序质检项
     * @return 结果
     */
    int insertProWorkOrderProcessTool(ProWorkOrderProcessTool proWorkOrderProcessTool);

    /**
     * 修改工单工序质检项
     *
     * @param proWorkOrderProcessTool 工单工序质检项
     * @return 结果
     */
    int updateProWorkOrderProcessTool(ProWorkOrderProcessTool proWorkOrderProcessTool);

    /**
     * 删除工单工序质检项
     *
     * @param workorderProcessToolId 工单工序质检项主键
     * @return 结果
     */
    int deleteProWorkOrderProcessToolByWorkorderProcessToolId(Long workorderProcessToolId);

    /**
     * 批量删除工单工序质检项
     *
     * @param workorderProcessToolIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProWorkOrderProcessToolByWorkorderProcessToolIds(Long[] workorderProcessToolIds);

    List<ProWorkOrderProcessTool> selectProWorkOrderProcessToolByWorkorderProcessId(Long workorderProcessId);

    List<ProWorkOrderProcessTool> selectProWorkOrderProcessToolByWorkorderIds(Long[] workorderIds);


    @Delete("delete from pro_work_order_process_tool where workorder_process_id in (select workorder_process_id from pro_work_order_process where workorder_code=#{workorderCode}) ")
    void deleteByWorkorderCode(@Param("workorderCode") String workorderCode);


    @Select("select * from pro_work_order_process_tool where work_order_id in (\n" +
            "select workorder_id from pro_arrange where arrange_code in (select arrange_code from pro_task pt where task_id in (\n" +
            "select task_id from pro_task_workunit where task_workunit_id = #{taskWorkunitId})\n" +
            ")\n" +
            ")")
    List<ProWorkOrderProcessTool> selectRequiredToolForWorkunitTask(@Param("taskWorkunitId") Long taskWorkunitId);
}
